This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 657297 - [abrt] crash in bacula-traymonitor-3.0.3-5.fc12: __strlen_sse2: Process /usr/sbin/bacula-tray-monitor was killed by signal 11 (SIGSEGV)
[abrt] crash in bacula-traymonitor-3.0.3-5.fc12: __strlen_sse2: Process /usr/...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bacula (Show other bugs)
6.1
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Jan Görig
qe-baseos-daemons
abrt_hash:afc9288dd6bae7b381f1f1fedc3...
:
Depends On: 626490
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-25 07:02 EST by Jan Görig
Modified: 2011-08-31 05:17 EDT (History)
14 users (show)

See Also:
Fixed In Version: bacula-5.0.0-8.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, Bacula's default configuration missed a required option. As a result, the Bacula tray monitor component terminated unexpectedly. The problem has been fixed by adding the "Address" option to the "Director" section in the Bacula tray monitor configuration file so that the Bacula tray monitor now works as expected with the default configuration file. Note that this bug fix does not alter any existing Bacula tray monitor configuration file. As a consequence, the Bacula tray monitor can terminate unexpectedly if the existing Bacula tray monitor configuration is incorrect.
Story Points: ---
Clone Of: 626490
Environment:
Last Closed: 2011-08-31 05:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 3 Suzanne Yeghiayan 2011-02-15 16:45:32 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 7 Jan Görig 2011-06-08 10:59:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
 - missing required option in default config
Consequence
 - bacula tray monitor was crashing immediately 
Fix
 - added 'Address' option to tray monitor config file
Result
 - tray monitor is not crashing with default config file
Comment 8 Jan Görig 2011-06-08 11:16:45 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -3,6 +3,6 @@
 Consequence
  - bacula tray monitor was crashing immediately 
 Fix
- - added 'Address' option to tray monitor config file
+ - added 'Address' option in 'Director' section to tray monitor config file
 Result
  - tray monitor is not crashing with default config file
Comment 10 Jan Görig 2011-06-09 03:39:59 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -5,4 +5,5 @@
 Fix
  - added 'Address' option in 'Director' section to tray monitor config file
 Result
- - tray monitor is not crashing with default config file+ - tray monitor is not crashing with default config file 
+(this change doesn't alter existing config so tray monitor will crash with existing incorrect configuration)
Comment 11 Petr Kovar 2011-06-15 12:07:09 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,9 +1 @@
-Cause
+Prior to this update, Bacula's default configuration missed a required option. As a result, the Bacula tray monitor component terminated unexpectedly. The problem has been fixed by adding the "Address" option to the "Director" section in the Bacula tray monitor configuration file so that the Bacula tray monitor now works as expected with the default configuration file. Note that this bug fix does not alter any existing Bacula tray monitor configuration file. As a consequence, the Bacula tray monitor can terminate unexpectedly if the existing Bacula tray monitor configuration is incorrect.- - missing required option in default config
-Consequence
- - bacula tray monitor was crashing immediately 
-Fix
- - added 'Address' option in 'Director' section to tray monitor config file
-Result
- - tray monitor is not crashing with default config file 
-(this change doesn't alter existing config so tray monitor will crash with existing incorrect configuration)
Comment 14 errata-xmlrpc 2011-08-31 05:17:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1232.html

Note You need to log in before you can comment on or make changes to this bug.